### Constructor

# Handy ValueObject new_take_string

since: 1.0

#### Declaration [src]

    HdyValueObject*
    hdy_value_object_new_take_string (
      gchar* string
    )

#### Description [src]

Creates a new `HdyValueObject`.

This is a convenience method to create a `HdyValueObject` that stores a string taking ownership of it.

Available since: 1.0

This method is not directly available to language bindings.

#### Parameters

`string`

  Type: `gchar*`

  The string to store.

  The called function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `HdyValueObject`

A new `HdyValueObject`

The caller of the function takes ownership of the data, and is responsible for freeing it.